# AES128CBC (sshj 0.4.0 API)
Date: 2011-06-06

## net.schmizz.sshj.transport.cipher
Class AES128CBC

    java.lang.Object
      net.schmizz.sshj.transport.cipher.BaseCipher
          net.schmizz.sshj.transport.cipher.AES128CBC

All Implemented Interfaces:
  Cipher

    public class AES128CBC

extends BaseCipher

`aes128-cbc` cipher

Nested Class Summary
`static class` `AES128CBC.Factory` Named factory for AES128CBC Cipher

Nested classes/interfaces inherited from interface net.schmizz.sshj.transport.cipher.Cipher
`Cipher.Mode`

Constructor Summary
`AES128CBC()`

Method Summary

Methods inherited from class net.schmizz.sshj.transport.cipher.BaseCipher
`getBlockSize, getIVSize, init, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AES128CBC

    public AES128CBC()

Copyright © 2009-2011. All Rights Reserved.